# $Revision: 1.20 $, $Date: 2006/12/08 01:03:52 $
Summary:	Bean Scripting Framework
Summary(pl):	Bean Scripting Framework - rodowisko skryptowe
Name:		bsf
Version:	2.3.0
Release:	4
License:	Apache v1.1
Group:		Development/Languages/Java
Source0:	http://cvs.apache.org/dist/jakarta/bsf/v2.3.0rc1/src/%{name}-src-%{version}.tar.gz
# Source0-md5:	78bae3747ca5734bb7554eed6868b7da
URL:		http://jakarta.apache.org/bsf/
BuildRequires:	ant
BuildRequires:	jacl
BuildRequires:	jpackage-utils
BuildRequires:	jython
BuildRequires:	netrexx
#BuildRequires:	rhino < 1.5R4
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
BuildRequires:	xalan-j
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bean Scripting Framework.

%description -l pl
Bean Scripting Framework - rodowisko skryptowe.

%package javadoc
Summary:	Bean Scripting Framework documentation
Summary(pl):	Dokumentacja do Bean Scripting Framework
Group:		Development/Languages/Java
Requires:	jpackage-utils
Obsoletes:	bsf-doc

%description javadoc
Bean Scripting Framework documentation.

%description javadoc -l pl
Dokumentacja do Bean Scripting Framework.

%prep
%setup -q

# hack to disable rhino engine (not ready for new rhino debugger API)
sed -i -e 's/available property="rhino.present/available property="rhino.blah/' \
	src/bsf/build.xml

# jython obsoleted jpython long time ago - don't try to build
sed -i -e 's/available property="jpython.present/available property="jpython.blah/' \
	src/bsf/build.xml

%build
export CLASSPATH="`build-classpath jacl jython NetRexxC NetRexxR xalan xsltc`"
export JAVA_HOME="%{java_home}"
cd src
%ant compile javadocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

install src/build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

cp -R src/build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc license.txt src/{AUTHORS,CHANGES,README,TODO}
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bsf.spec,v $
Revision 1.20  2006/12/08 01:03:52  glen
- -javadoc R: jpackage-utils for parent dirs; rel 4

Revision 1.19  2006/05/25 07:50:14  jajcus
- Release: 3 (rebuild with fixed jpackage-utils and java-sun)

Revision 1.18  2006/05/24 13:57:18  jajcus
- Release: 2

Revision 1.17  2006/05/24 13:33:39  jajcus
- Release: 1 (although there is "rc" in URL this seems an official version)
- BR: jpackage-utils, rpmbuild(macros)
- ExclusiveArch
- javadoc in -javadoc subpackage and %{_javadocdir}

Revision 1.16  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.15  2005/05/08 15:59:40  qboosh
- disabled jpython (obsoleted by jython)
- temporarily disabled rhino (not ready for current rhino debugger API)
- some spec updates, builds now

Revision 1.14  2004/12/16 17:20:10  baggins
- some BR
- new build system

Revision 1.13  2004/12/16 17:12:24  baggins
- started updated to 2.3.0rc1

Revision 1.12  2004/12/14 16:59:54  baggins
- DON'T hardcode java paths!

Revision 1.11  2003/08/06 16:38:21  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.10  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:46:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/10/10 12:18:08  marcus
- use new %%doc

Revision 1.7  2002/04/25 15:55:40  arturs
fixed a small typo

Revision 1.6  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.5  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/09 15:38:42  qboosh
- pl(?) translations

Revision 1.1  2001/10/02 08:28:55  pascalek
- initial revision
